import {
  ClassType,
} from '@loafer/core/constants/types';

import {
  Assert,
} from '@loafer/core/util';

import GenericApplicationContext from '@loafer/context/support/GenericApplicationContext';

export class AnnotationConfigApplicationContext extends GenericApplicationContext {
	private readonly reader: AnnotatedBeanDefinitionReader;


  public register(...annotatedClasses: ClassType[]): void {
		Assert.notEmpty(annotatedClasses, 'At least one annotated class must be specified');
		this.reader.register(annotatedClasses);
	}
}

export default AnnotationConfigApplicationContext;
